/***************************************************************************
 *   Copyright (C) 2018 by Stefan Kebekus                             *
 *   stefan.kebekus@math.uni-freiburg.de                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "aboutDialog.h"


aboutDialog::aboutDialog(QWidget *parent)
  : QDialog(parent)
{
  ui.setupUi(this);

  auto headLine = ui.headlineText->text();
  headLine.replace("$VERSION", PROJECT_VERSION);
  headLine.replace("$COPYRIGHTYEAR", COPYRIGHTYEAR);
  ui.headlineText->setText(headLine);
  
  ui.translators->append( "<table border=\"0\" cellspacing=\"2\" cellpadding=\"2\">"
			  "<tr>"
			  "<td>DE</td>"
			  "<td>Stefan Kebekus &lt;stefan.kebekus@math.uni-freiburg.de&gt;</td>"
			  "</tr>"
			  "<tr>"
			  "<td>EN</td>"
			  "<td>Stefan Kebekus &lt;stefan.kebekus@math.uni-freiburg.de&gt;</td>"
			  "</tr>"
			  "<tr>"
			  "<td>RU</td>"
			  "<td>Sergei Kovalenko &lt;sergei.kovalenko@rub.de&gt;</td>"
			  "</tr>"
			  "<tr>"
			  "<td>ZH_TW</td>"
			  "<td>Tian-Shun Feng &lt;vonsinn@gmail.com&gt;</td>"
			  "</tr>"
			  "</table>");

  ui.logo->load(QString(":/icons/ecLogo.svg"));
}


aboutDialog::~aboutDialog()
= default;

